Summary: A performance monitoring tool for Linux/ia64
Name: pfmon
Version: 3.5
Release: 3%{?dist}
# Some of the files are GPLv2+, but since some are GPLv2, the whole is GPLv2.
License: GPLv2
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: ia64 %{ix86} x86_64 sparcv9
ExclusiveOS: linux
Source: http://prdownloads.sourceforge.net/perfmon2/%{name}-%{version}.tar.gz
URL: http://sourceforge.net/projects/perfmon2/
Patch3: pfmon-rpm_opt.patch

BuildRequires: elfutils-libelf-devel-static
BuildRequires: binutils-devel
BuildRequires: libpfm-devel >= 3.5

%description
This package contains pfmon 3.x, a tool to monitor performance using the 
Performance Monitor Unit (PMU). Pfmon can monitor standalone programs or the 
entire system on both UP and SMP Linux systems. This version of pfmon 
requires a kernel perfmon-2.x (found in 2.6 kernels) subsystem to function 
properly.

%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 -b .rpm_opt

%build
make	PREFIX=%{_prefix} \
	PFMROOTDIR=%{_prefix} PFMLIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
make install  PREFIX=%{_prefix} DESTDIR=%{buildroot} \
	PFMROOTDIR=%{_prefix} PFMLIBDIR=%{_libdir}

( cd %{buildroot}%{_bindir}; rm pfmon_gen; ln -s pfmon pfmon_gen )

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/pfmon
%attr(755,root,root) %{_bindir}/pfdbg
%attr(755,root,root) %{_bindir}/pfmon_gen

%changelog
* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.5-3
- fix license tag
- cleanup package

* Fri Aug 1 2008 Will Cohen <wcohen@redhat.com> - 3.5-2
- Disable ppc and ppc64.

* Thu Jul 31 2008 Will Cohen <wcohen@redhat.com> - 3.5-1
- Update to pfmon-3.5.

* Fri May 2 2008 Will Cohen <wcohen@redhat.com> - 3.4-1
- Update to pfmon-3.4.

* Mon Apr 07 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.4
- Additional patch to fix for ia64 fedora. rhbz #435048

* Fri Apr 04 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.3
- Include patch to fix for ia64 fedora. rhbz #435048

* Fri Apr 04 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.2
- Fix for ia64 fedora. rhbz #435048

* Mon Feb 25 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.1
- Update to pfmon-3.3.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2-1.071017.3
- Autorebuild for GCC 4.3

* Fri Oct 26 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.3
- Correct BuildRequires, should be elfutils-libelf-devel-static.

* Fri Oct 26 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.2
- Correct BuildRequires.

* Wed Oct 24 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.1
- Update to pfmon-3.2-071017.

* Tue Aug 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.3
- rebuild

* Mon May 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.2
- Fix up rpmlint complaints.

* Mon Dec 4 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.1
- Update to pfmon-3.2-061205.

* Fri Nov 3 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.3
- Add dist tag to build.

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.1
- Update to pfmon-3.2-060926.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2-0.060621.7.1
- rebuild

* Tue Jun 27 2006 Will Cohen <wcohen@redhat.com>
- Separate build and install processes.
- Make sure that $(RPM_OPT_FLAGS) is used.
- Patches to store return values.
- Clean up desciption.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Correct buildprereq.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060621.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060522.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- Do not use the unwind libraries.

* Thu May 04 2006 Will Cohen <wcohen@redhat.com>
- Update to pfmon-3.2-060426.

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar 15 2005 Will Cohen <wcohen@redhat.com>
- Correct passing RPM_OPT_FLAGS.
- Correct field to match /usr/include/bits/siginfo.h.

* Mon Mar 14 2005 Will Cohen <wcohen@redhat.com>
- Bump rebuild with gcc4.

* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Fri Sep 24 2004 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq

* Tue Dec 2 2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0
